<?php
namespace Drupal\Event_Calendar_View\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

class CalendarConfigForm extends ConfigFormBase {
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('mon_calendrier.settings');

    $form['content_types'] = [
      '#type' => 'checkboxes',
      '#title' => $this->t('Content Types to Display'),
      '#options' => $this->getContentTypes(),
      '#default_value' => $config->get('content_types') ?: [],
    ];

    $form['date_fields'] = [
      '#type' => 'select',
      '#title' => $this->t('Date Field'),
      '#options' => $this->getDateFields(),
      '#default_value' => $config->get('date_field'),
      '#required' => TRUE,
    ];

    return parent::buildForm($form, $form_state);
  }

  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('mon_calendrier.settings')
      ->set('content_types', array_filter($form_state->getValue('content_types')))
      ->set('date_field', $form_state->getValue('date_field'))
      ->save();

    parent::submitForm($form, $form_state);
  }
}